LibOFX: Data Fields - Variables

LibOFX

### - a -

- account_id : OfxAccountData , OfxPositionData , OfxStatementData , OfxTransactionData
- account_name : OfxAccountData
- account_number : OfxAccountData
- account_ptr : OfxPositionData , OfxStatementData , OfxTransactionData
- accountlist : OfxFiServiceInfo
- accrued_interest : OfxTransactionData
- amount : OfxBalanceContainer , OfxTransactionData
- amounts_are_foreign_currency : OfxPositionData , OfxSecurityData , OfxTransactionData
- available_balance : OfxStatementData
- available_balance_date : OfxStatementData
- avg_cost_basis : OfxTransactionData

### - b -

- bank_id : OfxAccountData
- billpay : OfxFiServiceInfo
- buying_power : OfxStatementData

### - c -

- call_date : OfxSecurityData
- call_price : OfxSecurityData
- cash_for_fractional : OfxTransactionData
- check_ambiguity : cmdline_parser_params
- check_number : OfxTransactionData
- check_required : cmdline_parser_params
- code : ErrorMsg , OfxStatusData
- code_valid : OfxStatusData
- commission : OfxTransactionData
- coupon_rate : OfxSecurityData
- currency : OfxAccountData , OfxCurrency , OfxPositionData , OfxSecurityData , OfxStatementData , OfxTransactionData
- currency_ratio : OfxPositionData , OfxSecurityData , OfxTransactionData

### - d -

- date : OfxBalanceContainer
- date_asof : OfxStatementData
- date_coupon : OfxSecurityData
- date_end : OfxStatementData
- date_expire : OfxSecurityData
- date_funds_available : OfxTransactionData
- date_initiated : OfxTransactionData
- date_payroll : OfxTransactionData
- date_posted : OfxTransactionData
- date_purchase : OfxTransactionData
- date_start : OfxStatementData
- date_unit_price : OfxPositionData
- date_unitprice : OfxSecurityData
- date_valid : OfxBalanceContainer
- denominator : OfxTransactionData
- description : ErrorMsg , LibofxFileFormatInfo , OfxStatusData

### - e -

- exchange_rate : OfxCurrency

### - f -

- fees : OfxTransactionData
- fi_id : OfxTransactionData
- fi_id_corrected : OfxTransactionData
- fi_id_correction_action : OfxTransactionData
- fiasset_class : OfxSecurityData
- fiid : OfxSecurityData
- format : LibofxFileFormatInfo
- format_name : LibofxFileFormatInfo

### - g -

- gain : OfxTransactionData

### - h -

- help_given : gengetopt_args_info
- help_help : gengetopt_args_info

### - i -

- import_format_arg : gengetopt_args_info
- import_format_given : gengetopt_args_info
- import_format_help : gengetopt_args_info
- import_format_orig : gengetopt_args_info
- initialize : cmdline_parser_params
- inputs : gengetopt_args_info
- inputs_num : gengetopt_args_info
- investments : OfxFiServiceInfo

### - l -

- ledger_balance : OfxStatementData
- ledger_balance_date : OfxStatementData
- list_import_formats_given : gengetopt_args_info
- list_import_formats_help : gengetopt_args_info
- load : OfxTransactionData
- loan_id : OfxTransactionData
- loan_interest : OfxTransactionData
- loan_principal : OfxTransactionData

### - m -

- margin_balance : OfxStatementData
- margin_balance_valid : OfxBalanceContainer
- markdown : OfxTransactionData
- market_value : OfxPositionData , OfxTransactionData
- marketing_info : OfxStatementData
- markup : OfxTransactionData
- maturity_date : OfxSecurityData
- memo : OfxPositionData , OfxSecurityData , OfxTransactionData
- msg_debug_flag : gengetopt_args_info
- msg_debug_given : gengetopt_args_info
- msg_debug_help : gengetopt_args_info
- msg_error_flag : gengetopt_args_info
- msg_error_given : gengetopt_args_info
- msg_error_help : gengetopt_args_info
- msg_info_flag : gengetopt_args_info
- msg_info_given : gengetopt_args_info
- msg_info_help : gengetopt_args_info
- msg_parser_flag : gengetopt_args_info
- msg_parser_given : gengetopt_args_info
- msg_parser_help : gengetopt_args_info
- msg_status_flag : gengetopt_args_info
- msg_status_given : gengetopt_args_info
- msg_status_help : gengetopt_args_info
- msg_warning_flag : gengetopt_args_info
- msg_warning_given : gengetopt_args_info
- msg_warning_help : gengetopt_args_info
- must_convert : OfxCurrency

### - n -

- name : ErrorMsg , OfxStatusData , OfxTransactionData
- newunits : OfxTransactionData
- numerator : OfxTransactionData

### - o -

- ofx_element_name_valid : OfxStatusData
- oldunits : OfxTransactionData
- override : cmdline_parser_params

### - p -

- par_value : OfxSecurityData
- payee_id : OfxTransactionData
- penalty : OfxTransactionData
- print_errors : cmdline_parser_params
- prior_year_contrib : OfxTransactionData

### - r -

- rating : OfxSecurityData
- reference_number : OfxTransactionData
- related_fi_tid : OfxTransactionData

### - s -

- secname : OfxSecurityData
- security_data_ptr : OfxPositionData
- security_data_valid : OfxTransactionData
- server_message : OfxStatusData
- server_transaction_id : OfxTransactionData
- shares_per_cont : OfxSecurityData , OfxTransactionData
- short_balance : OfxStatementData
- short_balance_valid : OfxBalanceContainer
- standard_industrial_code : OfxTransactionData
- state_withholding : OfxTransactionData
- statements : OfxFiServiceInfo
- strike_price : OfxSecurityData
- subacct_from_valid : OfxTransactionData
- subacct_funding_valid : OfxTransactionData
- subacct_security_valid : OfxTransactionData
- subacct_to_valid : OfxTransactionData

### - t -

- tag_identifier : OfxGenericContainer
- tax_exempt : OfxTransactionData
- taxes : OfxTransactionData
- ticker : OfxSecurityData
- transactiontype_valid : OfxTransactionData
- type : OfxGenericContainer

### - u -

- unique_id : OfxPositionData , OfxSecurityData , OfxTransactionData
- unique_id2 : OfxSecurityData
- unique_id2_type : OfxSecurityData
- unique_id_type : OfxPositionData , OfxSecurityData , OfxTransactionData
- unit_price : OfxPositionData
- unitprice : OfxSecurityData , OfxTransactionData
- units : OfxPositionData , OfxTransactionData

### - v -

- version_given : gengetopt_args_info
- version_help : gengetopt_args_info

### - w -

- withholding : OfxTransactionData

### - y -

- yield : OfxSecurityData
- yield_asof_date : OfxSecurityData
- yield_to_call : OfxSecurityData
- yield_to_maturity : OfxSecurityData